﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;
    
namespace MyCompany.UserControls
{
    public partial class SoundButtonBox : UserControl
    {
        public SoundButtonBox()
        {
            InitializeComponent();
    
            // Подключить первую кнопку к звуковому файлу
            soundButton1.WaveFile = System.IO.Path.Combine(     // Склеить два пути
                Environment.GetEnvironmentVariable("windir"),   // Каталог системы
                @"Media\tada.wav");
    
            // Подключить вторую кнопку к звуковому файлу
            soundButton2.WaveFile = "SOUND827.WAV";
    
            // Подключить третью кнопку к звуковому файлу из файла ресурсов сборки
            Stream.WaveStream = this.GetType().Assembly.GetManifestResourceStream(
                "MyCompany.UserControls.Trumpet1.wav");
        }
    }
}
